Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
fc8e::/16
First address
fc8e::
Last address
fc8e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
fc8e:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
e.8.c.f.ip6.arpa
Split into smaller subnets/32

fc8e::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
1fc8e::/32fc8e:0:ffff:ffff:ffff:ffff:ffff:ffff
2fc8e:1::/32fc8e:1:ffff:ffff:ffff:ffff:ffff:ffff
3fc8e:2::/32fc8e:2:ffff:ffff:ffff:ffff:ffff:ffff
4fc8e:3::/32fc8e:3:ffff:ffff:ffff:ffff:ffff:ffff
5fc8e:4::/32fc8e:4:ffff:ffff:ffff:ffff:ffff:ffff
6fc8e:5::/32fc8e:5:ffff:ffff:ffff:ffff:ffff:ffff
7fc8e:6::/32fc8e:6:ffff:ffff:ffff:ffff:ffff:ffff
8fc8e:7::/32fc8e:7:ffff:ffff:ffff:ffff:ffff:ffff
9fc8e:8::/32fc8e:8:ffff:ffff:ffff:ffff:ffff:ffff
10fc8e:9::/32fc8e:9:ffff:ffff:ffff:ffff:ffff:ffff
11fc8e:a::/32fc8e:a:ffff:ffff:ffff:ffff:ffff:ffff
12fc8e:b::/32fc8e:b:ffff:ffff:ffff:ffff:ffff:ffff
13fc8e:c::/32fc8e:c:ffff:ffff:ffff:ffff:ffff:ffff
14fc8e:d::/32fc8e:d:ffff:ffff:ffff:ffff:ffff:ffff
15fc8e:e::/32fc8e:e:ffff:ffff:ffff:ffff:ffff:ffff
16fc8e:f::/32fc8e:f:ffff:ffff:ffff:ffff:ffff:ffff
17fc8e:10::/32fc8e:10:ffff:ffff:ffff:ffff:ffff:ffff
18fc8e:11::/32fc8e:11:ffff:ffff:ffff:ffff:ffff:ffff
19fc8e:12::/32fc8e:12:ffff:ffff:ffff:ffff:ffff:ffff
20fc8e:13::/32fc8e:13:ffff:ffff:ffff:ffff:ffff:ffff
21fc8e:14::/32fc8e:14:ffff:ffff:ffff:ffff:ffff:ffff
22fc8e:15::/32fc8e:15:ffff:ffff:ffff:ffff:ffff:ffff
23fc8e:16::/32fc8e:16:ffff:ffff:ffff:ffff:ffff:ffff
24fc8e:17::/32fc8e:17:ffff:ffff:ffff:ffff:ffff:ffff
25fc8e:18::/32fc8e:18:ffff:ffff:ffff:ffff:ffff:ffff
26fc8e:19::/32fc8e:19:ffff:ffff:ffff:ffff:ffff:ffff
27fc8e:1a::/32fc8e:1a:ffff:ffff:ffff:ffff:ffff:ffff
28fc8e:1b::/32fc8e:1b:ffff:ffff:ffff:ffff:ffff:ffff
29fc8e:1c::/32fc8e:1c:ffff:ffff:ffff:ffff:ffff:ffff
30fc8e:1d::/32fc8e:1d:ffff:ffff:ffff:ffff:ffff:ffff
31fc8e:1e::/32fc8e:1e:ffff:ffff:ffff:ffff:ffff:ffff
32fc8e:1f::/32fc8e:1f:ffff:ffff:ffff:ffff:ffff:ffff
33fc8e:20::/32fc8e:20:ffff:ffff:ffff:ffff:ffff:ffff
34fc8e:21::/32fc8e:21:ffff:ffff:ffff:ffff:ffff:ffff
35fc8e:22::/32fc8e:22:ffff:ffff:ffff:ffff:ffff:ffff
36fc8e:23::/32fc8e:23:ffff:ffff:ffff:ffff:ffff:ffff
37fc8e:24::/32fc8e:24:ffff:ffff:ffff:ffff:ffff:ffff
38fc8e:25::/32fc8e:25:ffff:ffff:ffff:ffff:ffff:ffff
39fc8e:26::/32fc8e:26:ffff:ffff:ffff:ffff:ffff:ffff
40fc8e:27::/32fc8e:27:ffff:ffff:ffff:ffff:ffff:ffff
41fc8e:28::/32fc8e:28:ffff:ffff:ffff:ffff:ffff:ffff
42fc8e:29::/32fc8e:29:ffff:ffff:ffff:ffff:ffff:ffff
43fc8e:2a::/32fc8e:2a:ffff:ffff:ffff:ffff:ffff:ffff
44fc8e:2b::/32fc8e:2b:ffff:ffff:ffff:ffff:ffff:ffff
45fc8e:2c::/32fc8e:2c:ffff:ffff:ffff:ffff:ffff:ffff
46fc8e:2d::/32fc8e:2d:ffff:ffff:ffff:ffff:ffff:ffff
47fc8e:2e::/32fc8e:2e:ffff:ffff:ffff:ffff:ffff:ffff
48fc8e:2f::/32fc8e:2f:ffff:ffff:ffff:ffff:ffff:ffff
49fc8e:30::/32fc8e:30:ffff:ffff:ffff:ffff:ffff:ffff
50fc8e:31::/32fc8e:31:ffff:ffff:ffff:ffff:ffff:ffff
51fc8e:32::/32fc8e:32:ffff:ffff:ffff:ffff:ffff:ffff
52fc8e:33::/32fc8e:33:ffff:ffff:ffff:ffff:ffff:ffff
53fc8e:34::/32fc8e:34:ffff:ffff:ffff:ffff:ffff:ffff
54fc8e:35::/32fc8e:35:ffff:ffff:ffff:ffff:ffff:ffff
55fc8e:36::/32fc8e:36:ffff:ffff:ffff:ffff:ffff:ffff
56fc8e:37::/32fc8e:37:ffff:ffff:ffff:ffff:ffff:ffff
57fc8e:38::/32fc8e:38:ffff:ffff:ffff:ffff:ffff:ffff
58fc8e:39::/32fc8e:39:ffff:ffff:ffff:ffff:ffff:ffff
59fc8e:3a::/32fc8e:3a:ffff:ffff:ffff:ffff:ffff:ffff
60fc8e:3b::/32fc8e:3b:ffff:ffff:ffff:ffff:ffff:ffff
61fc8e:3c::/32fc8e:3c:ffff:ffff:ffff:ffff:ffff:ffff
62fc8e:3d::/32fc8e:3d:ffff:ffff:ffff:ffff:ffff:ffff
63fc8e:3e::/32fc8e:3e:ffff:ffff:ffff:ffff:ffff:ffff
64fc8e:3f::/32fc8e:3f:ffff:ffff:ffff:ffff:ffff:ffff
65fc8e:40::/32fc8e:40:ffff:ffff:ffff:ffff:ffff:ffff
66fc8e:41::/32fc8e:41:ffff:ffff:ffff:ffff:ffff:ffff
67fc8e:42::/32fc8e:42:ffff:ffff:ffff:ffff:ffff:ffff
68fc8e:43::/32fc8e:43:ffff:ffff:ffff:ffff:ffff:ffff
69fc8e:44::/32fc8e:44:ffff:ffff:ffff:ffff:ffff:ffff
70fc8e:45::/32fc8e:45:ffff:ffff:ffff:ffff:ffff:ffff
71fc8e:46::/32fc8e:46:ffff:ffff:ffff:ffff:ffff:ffff
72fc8e:47::/32fc8e:47:ffff:ffff:ffff:ffff:ffff:ffff
73fc8e:48::/32fc8e:48:ffff:ffff:ffff:ffff:ffff:ffff
74fc8e:49::/32fc8e:49:ffff:ffff:ffff:ffff:ffff:ffff
75fc8e:4a::/32fc8e:4a:ffff:ffff:ffff:ffff:ffff:ffff
76fc8e:4b::/32fc8e:4b:ffff:ffff:ffff:ffff:ffff:ffff
77fc8e:4c::/32fc8e:4c:ffff:ffff:ffff:ffff:ffff:ffff
78fc8e:4d::/32fc8e:4d:ffff:ffff:ffff:ffff:ffff:ffff
79fc8e:4e::/32fc8e:4e:ffff:ffff:ffff:ffff:ffff:ffff
80fc8e:4f::/32fc8e:4f:ffff:ffff:ffff:ffff:ffff:ffff
81fc8e:50::/32fc8e:50:ffff:ffff:ffff:ffff:ffff:ffff
82fc8e:51::/32fc8e:51:ffff:ffff:ffff:ffff:ffff:ffff
83fc8e:52::/32fc8e:52:ffff:ffff:ffff:ffff:ffff:ffff
84fc8e:53::/32fc8e:53:ffff:ffff:ffff:ffff:ffff:ffff
85fc8e:54::/32fc8e:54:ffff:ffff:ffff:ffff:ffff:ffff
86fc8e:55::/32fc8e:55:ffff:ffff:ffff:ffff:ffff:ffff
87fc8e:56::/32fc8e:56:ffff:ffff:ffff:ffff:ffff:ffff
88fc8e:57::/32fc8e:57:ffff:ffff:ffff:ffff:ffff:ffff
89fc8e:58::/32fc8e:58:ffff:ffff:ffff:ffff:ffff:ffff
90fc8e:59::/32fc8e:59:ffff:ffff:ffff:ffff:ffff:ffff
91fc8e:5a::/32fc8e:5a:ffff:ffff:ffff:ffff:ffff:ffff
92fc8e:5b::/32fc8e:5b:ffff:ffff:ffff:ffff:ffff:ffff
93fc8e:5c::/32fc8e:5c:ffff:ffff:ffff:ffff:ffff:ffff
94fc8e:5d::/32fc8e:5d:ffff:ffff:ffff:ffff:ffff:ffff
95fc8e:5e::/32fc8e:5e:ffff:ffff:ffff:ffff:ffff:ffff
96fc8e:5f::/32fc8e:5f:ffff:ffff:ffff:ffff:ffff:ffff
97fc8e:60::/32fc8e:60:ffff:ffff:ffff:ffff:ffff:ffff
98fc8e:61::/32fc8e:61:ffff:ffff:ffff:ffff:ffff:ffff
99fc8e:62::/32fc8e:62:ffff:ffff:ffff:ffff:ffff:ffff
100fc8e:63::/32fc8e:63:ffff:ffff:ffff:ffff:ffff:ffff
101fc8e:64::/32fc8e:64:ffff:ffff:ffff:ffff:ffff:ffff
102fc8e:65::/32fc8e:65:ffff:ffff:ffff:ffff:ffff:ffff
103fc8e:66::/32fc8e:66:ffff:ffff:ffff:ffff:ffff:ffff
104fc8e:67::/32fc8e:67:ffff:ffff:ffff:ffff:ffff:ffff
105fc8e:68::/32fc8e:68:ffff:ffff:ffff:ffff:ffff:ffff
106fc8e:69::/32fc8e:69:ffff:ffff:ffff:ffff:ffff:ffff
107fc8e:6a::/32fc8e:6a:ffff:ffff:ffff:ffff:ffff:ffff
108fc8e:6b::/32fc8e:6b:ffff:ffff:ffff:ffff:ffff:ffff
109fc8e:6c::/32fc8e:6c:ffff:ffff:ffff:ffff:ffff:ffff
110fc8e:6d::/32fc8e:6d:ffff:ffff:ffff:ffff:ffff:ffff
111fc8e:6e::/32fc8e:6e:ffff:ffff:ffff:ffff:ffff:ffff
112fc8e:6f::/32fc8e:6f:ffff:ffff:ffff:ffff:ffff:ffff
113fc8e:70::/32fc8e:70:ffff:ffff:ffff:ffff:ffff:ffff
114fc8e:71::/32fc8e:71:ffff:ffff:ffff:ffff:ffff:ffff
115fc8e:72::/32fc8e:72:ffff:ffff:ffff:ffff:ffff:ffff
116fc8e:73::/32fc8e:73:ffff:ffff:ffff:ffff:ffff:ffff
117fc8e:74::/32fc8e:74:ffff:ffff:ffff:ffff:ffff:ffff
118fc8e:75::/32fc8e:75:ffff:ffff:ffff:ffff:ffff:ffff
119fc8e:76::/32fc8e:76:ffff:ffff:ffff:ffff:ffff:ffff
120fc8e:77::/32fc8e:77:ffff:ffff:ffff:ffff:ffff:ffff
121fc8e:78::/32fc8e:78:ffff:ffff:ffff:ffff:ffff:ffff
122fc8e:79::/32fc8e:79:ffff:ffff:ffff:ffff:ffff:ffff
123fc8e:7a::/32fc8e:7a:ffff:ffff:ffff:ffff:ffff:ffff
124fc8e:7b::/32fc8e:7b:ffff:ffff:ffff:ffff:ffff:ffff
125fc8e:7c::/32fc8e:7c:ffff:ffff:ffff:ffff:ffff:ffff
126fc8e:7d::/32fc8e:7d:ffff:ffff:ffff:ffff:ffff:ffff
127fc8e:7e::/32fc8e:7e:ffff:ffff:ffff:ffff:ffff:ffff
128fc8e:7f::/32fc8e:7f:ffff:ffff:ffff:ffff:ffff:ffff
129fc8e:80::/32fc8e:80:ffff:ffff:ffff:ffff:ffff:ffff
130fc8e:81::/32fc8e:81:ffff:ffff:ffff:ffff:ffff:ffff
131fc8e:82::/32fc8e:82:ffff:ffff:ffff:ffff:ffff:ffff
132fc8e:83::/32fc8e:83:ffff:ffff:ffff:ffff:ffff:ffff
133fc8e:84::/32fc8e:84:ffff:ffff:ffff:ffff:ffff:ffff
134fc8e:85::/32fc8e:85:ffff:ffff:ffff:ffff:ffff:ffff
135fc8e:86::/32fc8e:86:ffff:ffff:ffff:ffff:ffff:ffff
136fc8e:87::/32fc8e:87:ffff:ffff:ffff:ffff:ffff:ffff
137fc8e:88::/32fc8e:88:ffff:ffff:ffff:ffff:ffff:ffff
138fc8e:89::/32fc8e:89:ffff:ffff:ffff:ffff:ffff:ffff
139fc8e:8a::/32fc8e:8a:ffff:ffff:ffff:ffff:ffff:ffff
140fc8e:8b::/32fc8e:8b:ffff:ffff:ffff:ffff:ffff:ffff
141fc8e:8c::/32fc8e:8c:ffff:ffff:ffff:ffff:ffff:ffff
142fc8e:8d::/32fc8e:8d:ffff:ffff:ffff:ffff:ffff:ffff
143fc8e:8e::/32fc8e:8e:ffff:ffff:ffff:ffff:ffff:ffff
144fc8e:8f::/32fc8e:8f:ffff:ffff:ffff:ffff:ffff:ffff
145fc8e:90::/32fc8e:90:ffff:ffff:ffff:ffff:ffff:ffff
146fc8e:91::/32fc8e:91:ffff:ffff:ffff:ffff:ffff:ffff
147fc8e:92::/32fc8e:92:ffff:ffff:ffff:ffff:ffff:ffff
148fc8e:93::/32fc8e:93:ffff:ffff:ffff:ffff:ffff:ffff
149fc8e:94::/32fc8e:94:ffff:ffff:ffff:ffff:ffff:ffff
150fc8e:95::/32fc8e:95:ffff:ffff:ffff:ffff:ffff:ffff
151fc8e:96::/32fc8e:96:ffff:ffff:ffff:ffff:ffff:ffff
152fc8e:97::/32fc8e:97:ffff:ffff:ffff:ffff:ffff:ffff
153fc8e:98::/32fc8e:98:ffff:ffff:ffff:ffff:ffff:ffff
154fc8e:99::/32fc8e:99:ffff:ffff:ffff:ffff:ffff:ffff
155fc8e:9a::/32fc8e:9a:ffff:ffff:ffff:ffff:ffff:ffff
156fc8e:9b::/32fc8e:9b:ffff:ffff:ffff:ffff:ffff:ffff
157fc8e:9c::/32fc8e:9c:ffff:ffff:ffff:ffff:ffff:ffff
158fc8e:9d::/32fc8e:9d:ffff:ffff:ffff:ffff:ffff:ffff
159fc8e:9e::/32fc8e:9e:ffff:ffff:ffff:ffff:ffff:ffff
160fc8e:9f::/32fc8e:9f:ffff:ffff:ffff:ffff:ffff:ffff
161fc8e:a0::/32fc8e:a0:ffff:ffff:ffff:ffff:ffff:ffff
162fc8e:a1::/32fc8e:a1:ffff:ffff:ffff:ffff:ffff:ffff
163fc8e:a2::/32fc8e:a2:ffff:ffff:ffff:ffff:ffff:ffff
164fc8e:a3::/32fc8e:a3:ffff:ffff:ffff:ffff:ffff:ffff
165fc8e:a4::/32fc8e:a4:ffff:ffff:ffff:ffff:ffff:ffff
166fc8e:a5::/32fc8e:a5:ffff:ffff:ffff:ffff:ffff:ffff
167fc8e:a6::/32fc8e:a6:ffff:ffff:ffff:ffff:ffff:ffff
168fc8e:a7::/32fc8e:a7:ffff:ffff:ffff:ffff:ffff:ffff
169fc8e:a8::/32fc8e:a8:ffff:ffff:ffff:ffff:ffff:ffff
170fc8e:a9::/32fc8e:a9:ffff:ffff:ffff:ffff:ffff:ffff
171fc8e:aa::/32fc8e:aa:ffff:ffff:ffff:ffff:ffff:ffff
172fc8e:ab::/32fc8e:ab:ffff:ffff:ffff:ffff:ffff:ffff
173fc8e:ac::/32fc8e:ac:ffff:ffff:ffff:ffff:ffff:ffff
174fc8e:ad::/32fc8e:ad:ffff:ffff:ffff:ffff:ffff:ffff
175fc8e:ae::/32fc8e:ae:ffff:ffff:ffff:ffff:ffff:ffff
176fc8e:af::/32fc8e:af:ffff:ffff:ffff:ffff:ffff:ffff
177fc8e:b0::/32fc8e:b0:ffff:ffff:ffff:ffff:ffff:ffff
178fc8e:b1::/32fc8e:b1:ffff:ffff:ffff:ffff:ffff:ffff
179fc8e:b2::/32fc8e:b2:ffff:ffff:ffff:ffff:ffff:ffff
180fc8e:b3::/32fc8e:b3:ffff:ffff:ffff:ffff:ffff:ffff
181fc8e:b4::/32fc8e:b4:ffff:ffff:ffff:ffff:ffff:ffff
182fc8e:b5::/32fc8e:b5:ffff:ffff:ffff:ffff:ffff:ffff
183fc8e:b6::/32fc8e:b6:ffff:ffff:ffff:ffff:ffff:ffff
184fc8e:b7::/32fc8e:b7:ffff:ffff:ffff:ffff:ffff:ffff
185fc8e:b8::/32fc8e:b8:ffff:ffff:ffff:ffff:ffff:ffff
186fc8e:b9::/32fc8e:b9:ffff:ffff:ffff:ffff:ffff:ffff
187fc8e:ba::/32fc8e:ba:ffff:ffff:ffff:ffff:ffff:ffff
188fc8e:bb::/32fc8e:bb:ffff:ffff:ffff:ffff:ffff:ffff
189fc8e:bc::/32fc8e:bc:ffff:ffff:ffff:ffff:ffff:ffff
190fc8e:bd::/32fc8e:bd:ffff:ffff:ffff:ffff:ffff:ffff
191fc8e:be::/32fc8e:be:ffff:ffff:ffff:ffff:ffff:ffff
192fc8e:bf::/32fc8e:bf:ffff:ffff:ffff:ffff:ffff:ffff
193fc8e:c0::/32fc8e:c0:ffff:ffff:ffff:ffff:ffff:ffff
194fc8e:c1::/32fc8e:c1:ffff:ffff:ffff:ffff:ffff:ffff
195fc8e:c2::/32fc8e:c2:ffff:ffff:ffff:ffff:ffff:ffff
196fc8e:c3::/32fc8e:c3:ffff:ffff:ffff:ffff:ffff:ffff
197fc8e:c4::/32fc8e:c4:ffff:ffff:ffff:ffff:ffff:ffff
198fc8e:c5::/32fc8e:c5:ffff:ffff:ffff:ffff:ffff:ffff
199fc8e:c6::/32fc8e:c6:ffff:ffff:ffff:ffff:ffff:ffff
200fc8e:c7::/32fc8e:c7:ffff:ffff:ffff:ffff:ffff:ffff
201fc8e:c8::/32fc8e:c8:ffff:ffff:ffff:ffff:ffff:ffff
202fc8e:c9::/32fc8e:c9:ffff:ffff:ffff:ffff:ffff:ffff
203fc8e:ca::/32fc8e:ca:ffff:ffff:ffff:ffff:ffff:ffff
204fc8e:cb::/32fc8e:cb:ffff:ffff:ffff:ffff:ffff:ffff
205fc8e:cc::/32fc8e:cc:ffff:ffff:ffff:ffff:ffff:ffff
206fc8e:cd::/32fc8e:cd:ffff:ffff:ffff:ffff:ffff:ffff
207fc8e:ce::/32fc8e:ce:ffff:ffff:ffff:ffff:ffff:ffff
208fc8e:cf::/32fc8e:cf:ffff:ffff:ffff:ffff:ffff:ffff
209fc8e:d0::/32fc8e:d0:ffff:ffff:ffff:ffff:ffff:ffff
210fc8e:d1::/32fc8e:d1:ffff:ffff:ffff:ffff:ffff:ffff
211fc8e:d2::/32fc8e:d2:ffff:ffff:ffff:ffff:ffff:ffff
212fc8e:d3::/32fc8e:d3:ffff:ffff:ffff:ffff:ffff:ffff
213fc8e:d4::/32fc8e:d4:ffff:ffff:ffff:ffff:ffff:ffff
214fc8e:d5::/32fc8e:d5:ffff:ffff:ffff:ffff:ffff:ffff
215fc8e:d6::/32fc8e:d6:ffff:ffff:ffff:ffff:ffff:ffff
216fc8e:d7::/32fc8e:d7:ffff:ffff:ffff:ffff:ffff:ffff
217fc8e:d8::/32fc8e:d8:ffff:ffff:ffff:ffff:ffff:ffff
218fc8e:d9::/32fc8e:d9:ffff:ffff:ffff:ffff:ffff:ffff
219fc8e:da::/32fc8e:da:ffff:ffff:ffff:ffff:ffff:ffff
220fc8e:db::/32fc8e:db:ffff:ffff:ffff:ffff:ffff:ffff
221fc8e:dc::/32fc8e:dc:ffff:ffff:ffff:ffff:ffff:ffff
222fc8e:dd::/32fc8e:dd:ffff:ffff:ffff:ffff:ffff:ffff
223fc8e:de::/32fc8e:de:ffff:ffff:ffff:ffff:ffff:ffff
224fc8e:df::/32fc8e:df:ffff:ffff:ffff:ffff:ffff:ffff
225fc8e:e0::/32fc8e:e0:ffff:ffff:ffff:ffff:ffff:ffff
226fc8e:e1::/32fc8e:e1:ffff:ffff:ffff:ffff:ffff:ffff
227fc8e:e2::/32fc8e:e2:ffff:ffff:ffff:ffff:ffff:ffff
228fc8e:e3::/32fc8e:e3:ffff:ffff:ffff:ffff:ffff:ffff
229fc8e:e4::/32fc8e:e4:ffff:ffff:ffff:ffff:ffff:ffff
230fc8e:e5::/32fc8e:e5:ffff:ffff:ffff:ffff:ffff:ffff
231fc8e:e6::/32fc8e:e6:ffff:ffff:ffff:ffff:ffff:ffff
232fc8e:e7::/32fc8e:e7:ffff:ffff:ffff:ffff:ffff:ffff
233fc8e:e8::/32fc8e:e8:ffff:ffff:ffff:ffff:ffff:ffff
234fc8e:e9::/32fc8e:e9:ffff:ffff:ffff:ffff:ffff:ffff
235fc8e:ea::/32fc8e:ea:ffff:ffff:ffff:ffff:ffff:ffff
236fc8e:eb::/32fc8e:eb:ffff:ffff:ffff:ffff:ffff:ffff
237fc8e:ec::/32fc8e:ec:ffff:ffff:ffff:ffff:ffff:ffff
238fc8e:ed::/32fc8e:ed:ffff:ffff:ffff:ffff:ffff:ffff
239fc8e:ee::/32fc8e:ee:ffff:ffff:ffff:ffff:ffff:ffff
240fc8e:ef::/32fc8e:ef:ffff:ffff:ffff:ffff:ffff:ffff
241fc8e:f0::/32fc8e:f0:ffff:ffff:ffff:ffff:ffff:ffff
242fc8e:f1::/32fc8e:f1:ffff:ffff:ffff:ffff:ffff:ffff
243fc8e:f2::/32fc8e:f2:ffff:ffff:ffff:ffff:ffff:ffff
244fc8e:f3::/32fc8e:f3:ffff:ffff:ffff:ffff:ffff:ffff
245fc8e:f4::/32fc8e:f4:ffff:ffff:ffff:ffff:ffff:ffff
246fc8e:f5::/32fc8e:f5:ffff:ffff:ffff:ffff:ffff:ffff
247fc8e:f6::/32fc8e:f6:ffff:ffff:ffff:ffff:ffff:ffff
248fc8e:f7::/32fc8e:f7:ffff:ffff:ffff:ffff:ffff:ffff
249fc8e:f8::/32fc8e:f8:ffff:ffff:ffff:ffff:ffff:ffff
250fc8e:f9::/32fc8e:f9:ffff:ffff:ffff:ffff:ffff:ffff
251fc8e:fa::/32fc8e:fa:ffff:ffff:ffff:ffff:ffff:ffff
252fc8e:fb::/32fc8e:fb:ffff:ffff:ffff:ffff:ffff:ffff
253fc8e:fc::/32fc8e:fc:ffff:ffff:ffff:ffff:ffff:ffff
254fc8e:fd::/32fc8e:fd:ffff:ffff:ffff:ffff:ffff:ffff
255fc8e:fe::/32fc8e:fe:ffff:ffff:ffff:ffff:ffff:ffff
256fc8e:ff::/32fc8e:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses